// lib/remote/remote_gallery_bridge.dart
import 'package:aves/services/common/services.dart';
import 'package:aves/model/entry/entry.dart';

import 'remote_origin.dart';

class RemoteGalleryBridge {
  static Future<Set<AvesEntry>> loadRemoteEntries() async {
    final allRemotes = await localMediaDb.loadEntries(origin: RemoteOrigin.value);
    return allRemotes.where((e) => e.trashed == 0).toSet();
  }
}
